include <MCAD/polyholes.scad>;
include <MCAD/units.scad>;


/*
 * A hole for mounting binding posts.
 */
module binding_post(h=1*mm, major_d=7.65*mm, flat_width=6*mm,
		clearance=0.35*mm) {
	hole_d = major_d + clearance;
	hole_flat = flat_width + clearance;

	intersection() {
		polyhole(d=hole_d, h=h);

		translate([-hole_flat/2, -hole_d/2, 0])
			cube([hole_flat, hole_d, h]);
	}
}


difference() {
	cube([16, 16 + 3/4*inch, 3]);

	translate([8, 8, -epsilon])
		binding_post(h=3+2*epsilon);

	translate([8, 8 + 3/4*inch, -epsilon])
		binding_post(h=3+2*epsilon);
}
